Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000292 [Yate - Yet Another Telephony Engine] engine feature always 2012-02-07 16:57 2013-04-19 13:25
Reporter asymetrixs View Status public  
Assigned To
Priority normal Resolution no change required  
Status resolved   Product Version 3.x
Summary 0000292: Register.conf: add call.cdr->shutdownquery to call SQL before yate shuts down
Description In register.conf there is a section called [call.cdr] which accepts an initquery={...} sql statement that is run when yate starts up.
I just noticed when stopping yate, that running an sql statement after it has dropped all calls (so that cdr_finalize is called) and before yate shuts down completely would be fine to do some database cleanup, update stats and so on.

So it would be great if a query like shutdownquery={...} would be added to yate.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000514)
paulc (administrator)
2013-02-21 13:41

While not strictly a solution for the register module an SQL query can be dispatched by handling the engine.halt message in regexroute.conf:

[extra]
engine.halt=25

[engine.halt]
.*=dispatch database; account=ACCOUNT_NAME; query=WHATEVER

Just note that if a program crash occurs the query doesn't get executed so the initialization query must be able to take care of that.
(0000519)
asymetrixs (reporter)
2013-04-18 13:37

Works as expected. Thank you. Resolved.

- Issue History
Date Modified Username Field Change
2012-02-07 16:57 asymetrixs New Issue
2013-02-21 13:41 paulc Note Added: 0000514
2013-02-21 13:41 paulc Status new => feedback
2013-04-18 13:37 asymetrixs Note Added: 0000519
2013-04-19 13:25 paulc Status feedback => resolved
2013-04-19 13:25 paulc Resolution open => no change required


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker